<template>
    <div class="last__top--left animated fadeInLeft">
        <svg class="icon-left">
            <use xlink:href="/img/sprite.svg#circular-business-graphic"/>
        </svg>
        <div class="box__right--page">
            <p class="text-right">
                {{ $t('users.balances.total') }}
                <span>{{ formattedBalance }}</span>
            </p>
            <p class="text-right">
                {{ $t('users.balances.total_after_24h') }}
                <span>{{ formattedBalance }}</span>
            </p>
        </div>
    </div>
</template>

<script>
    import currencies from './../../currencies';
    import {mapGetters} from 'vuex';

	export default {
		name: "Balances",
        data(){
		    return {
		        balance: 0
            }
        },
        computed: {
		    formattedBalance(){
                return currencies.formatInDefault(this.balance);
            },
            ...mapGetters([
                'axios'
            ])
        },
        methods: {
		    loadBalances(){
                this.axios
                    .get('users/balances')
                    .then(resp => resp.data)
                    .then(data => {
                        this.balance = data.balance
                    })
            }
        },
        mounted(){
		    this.loadBalances();
        }
	}
</script>

<style scoped>

</style>
